BLAS/SRC/zscal.f(3)

NAME
BLAS/SRC/zscal.f

SYNOPSIS

  Functions/Subroutines
subroutine zscal (n, za, zx, incx)
ZSCAL

Function/Subroutine Documentation

  subroutine zscal (integer n, complex*16 za, complex*16, dimension(*) zx, integer incx)

ZSCAL

Purpose:

    !>
    !>    ZSCAL scales a vector by a constant.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    ZA

    !>          ZA is COMPLEX*16
    !>           On entry, ZA specifies the scalar alpha.
    !>

    ZX

    !>          ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of ZX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, 3/11/78.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 77 of file zscal.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.